<?php
/*! @file

    @id $Id$

    @see @ref messagetable for the database schema

    @page database Database

    @section messagetable Message Table

    <table>
    <caption>Table: message</caption>
    <tr><th>Colum Name</th><th>SQL Type</th><th>Description</th></tr>
    <tr><td>id</td><td>int</td><td>Incrementing message id starting at 1.</td></tr>
    <tr><td>time</td><td>timestamp</td><td>Time when message has been stored in the database.</td></tr>
    <tr><td>user</td><td>varchar(50)</td><td>The sender's user name (pseudonym).</td></tr>
    <tr><td>msg</td><td>longtext</td><td>The encryped and armored message text.</td></tr>
    </table>
*/
//       1         2         3         4         5         6         7         8
// 45678901234567890123456789012345678901234567890123456789012345678901234567890

require_once("functions.php");
mysqli_report(MYSQLI_REPORT_STRICT);
try {
  $db = new mysqli("mysql", "root", $_SERVER["MYSQL_ENV_MYSQL_ROOT_PASSWORD"]);
  $db->query("create database if not exists safechat;");
  $db->select_db("safechat");
  $db->query('create table if not exists message (id int primary key not null auto_increment, time timestamp default current_timestamp, user varchar(50) not null, msg longtext not null);');
  $db->query('set global max_allowed_packet=1000000000');
  $db->query('set global net_buffer_length=1000000');
} catch (Exception $e) {
  echo json_encode(null);
}
?>
